#
# spec file for package python-htmlmin
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-htmlmin
Version:        0.1.12
Release:        lp151.1.1
License:        BSD-3-Clause
Summary:        An HTML Minifier
Url:            https://htmlmin.readthedocs.io/en/latest/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/h/htmlmin/htmlmin-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildArch:      noarch

%python_subpackages

%description
A configurable HTML Minifier with safety features.

%prep
%setup -q -n htmlmin-%{version}
# command.py is installed without exec permissions (and they're actually not needed) so
# we remove the shebang
sed -ie "s,#!/usr/bin/env python,##!/usr/bin/python3," htmlmin/command.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%python3_only %{_bindir}/htmlmin
%{python_sitelib}/*

%changelog
* Tue Aug 21 2018 alarrosa@suse.com
- Initial release for python-htmlmin 0.1.12
